#if v2_49_3
using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_49_3;

[TestClass]
public class CDE4
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_49_3.CDE4 _CDE4;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_49_3.CDE4.ClassInitialize(testContext);
        _CDE4 = CreateSelfDescription.Staging.v2_49_3.CDE4.EAFLoggingUnitTesting;
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_49_3__CDE4__RsM() => _CDE4.Staging__v2_49_3__CDE4__RsM();

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_49_3__CDE4__RsM637919422210000000__Normal()
    {
        DateTime dateTime;
        string check = "*.RsM";
        _CDE4.Staging__v2_49_3__CDE4__RsM();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _CDE4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF: false);
        IFileRead fileRead = _CDE4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);

        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF: false);
        dateTime = FileHandlers.RsM.ProcessData.GetDateTime(logistics, string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.RsM.ProcessData.GetDateTime(logistics, "00:13 09/27/38");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
    }

}
#endif